GET_ORION(1)

NAME
get_orion - get RLE images to an Orion graphics display

SYNOPSIS
get_orion [ -D ] [ -b ] [ -f ] [ -g gam ] [ -l ] [ -r ] [ infile ]

DESCRIPTION
This program displays an RLE(5) file on a High Level Hardware Orion graphics display running the StarPoint graphics system. It uses a dithering technique to take a full-colour or grey scale image into the limited number of colours available. The default behavior is to display the image in colour using a 216 colour map (6 intensities per primary). However, an RLE(5) file with 1 colour and 3 colour map channels is treated as a special case with the colour map in the header loaded as the graphics colour map and the data used to index this map. In this mode of operation no dithering is done as the file is assumed to be the output of some program which has selected the "best" possible colours for the image and has already corrected some of the errors produced by the quantization. An option is provided to force a grey scale display of colour images. Get_orion uses the standard window manager creation procedure to create a window at a particular location on the screen. The size of the window is the size of the image.

OPTIONS

-D  "Debug mode". The operations in the input RLE(5) file will be printed as they are read.

-b  Forces getOrion to produce a grey scale dithered image instead of a colour image using 128 shades of grey. Colour input will be transformed to grey level using the NTSC Y transform.

-f  Normally get_orion will only use entries 0-239 of the graphics device colour map, as the others are used by the window manager for background, icons, etc. This option will force it to use all 256 entries and is useful only when the image has been specified with a 24-bit colour map

-g gam
    Specifies, as a floating point number, the gamma correction factor to be used when correcting the colour map.

-l  Use a linear colour map. Identical to having a gamma of 1.

-r  Use "reverse" mode for display. The scanlines are by default displayed from the bottom-up, this option displays them from the top-down. Useful for applications which have produced the scanlines starting from the top one.

infile
    Name of file to display. If none specified, the image will be read from standard input.

SEE ALSO
urt(1), RLE(5).

AUTHOR
Gianpaolo Tommasi, Computer Laboratory, University of Cambridge. The code is based on other "get" routines.

DEFICIENCIES
The window cannot be moved whilst the image is being displayed. Because of the way the graphics memory is organized displaying images in GM_BW mode is slow.